Export jersey internal packages for jersey-media-multipart
[simantics/platform.git] / releng / org.simantics.sdk.build.p2.site / pom.xml
1 <?xml version="1.0" encoding="UTF-8"?>
2 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001 XMLSchema-instance"
3         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
4         <modelVersion>4.0.0</modelVersion>
5
6     <groupId>org.simantics</groupId>
7     <artifactId>org.simantics.sdk.build.p2.site</artifactId>
8     <packaging>pom</packaging>
9     <version>1.30.0</version>
10
11     <properties>
12         <itext.version.actual>2.1.7.b1</itext.version.actual>
13         <antlr.version>3.5.2</antlr.version>
14         <commons-codec.version>1.14</commons-codec.version>
15         <lucene.version>4.9.0</lucene.version>
16         <lucene.version.actual>4.9.0.b0003</lucene.version.actual>
17         <lucene.prefix>org.apache.lucene4</lucene.prefix>
18         <jaxen.version>1.2.0</jaxen.version>
19         <jdom.version>2.0.6</jdom.version>
20         <jdom.version.actual>2.0.6.b0001</jdom.version.actual>
21         <jackson.version>2.10.2</jackson.version>
22         <jackson.version.actual>2.10.2.b0001</jackson.version.actual>
23         <javax.version>3.1.0</javax.version>
24         <jakarta.version>2.1.6</jakarta.version>
25         <!-- This can be removed once jakarta version is bumped -->
26         <jakarta.version.actual>2.1.6.b0005</jakarta.version.actual>
27         <jersey.version>2.30.1</jersey.version>
28         <!-- This can be removed once jersey version is bumped -->
29         <jersey.version.actual>2.30.1.b0005</jersey.version.actual>
30         <jfreechart.version>1.5.0</jfreechart.version>
31         <slf4j.version>1.7.30</slf4j.version>
32         <slf4j.version.actual>1.7.30</slf4j.version.actual>
33         <grpc.version>1.27.2</grpc.version>
34         <grpc.version.actual>1.27.2</grpc.version.actual>
35         <protobuf.version>3.11.4</protobuf.version>
36         <zeroturnaround.version>1.11</zeroturnaround.version>
37         <eclipse.collections.version>10.2.0</eclipse.collections.version>
38         <caffeine.version>2.8.1</caffeine.version>
39         <influxdb.client.version>1.5.0</influxdb.client.version>
40         <supercsv.version>2.4.0</supercsv.version>
41         <ini4j.version>0.5.4</ini4j.version>
42         <commons-collections.version>4.4</commons-collections.version>
43         <commons-compress.version>1.20</commons-compress.version>
44         <commons-lang.version>2.6</commons-lang.version>
45         <commons-logging.version>1.2</commons-logging.version>
46         <commons-io.version>1.4</commons-io.version>
47         <commons-math.version>3.6.1</commons-math.version>
48         <pdfbox.version>2.0.19</pdfbox.version>
49         <fontbox.version>2.0.19</fontbox.version>
50         <xmpbox.version>2.0.19</xmpbox.version>
51         <log4j.version>1.2.17</log4j.version>
52         <ucanaccess.version>3.0.7</ucanaccess.version>
53         <fastutil.version>8.3.1</fastutil.version>
54         <trove4j.version>3.0.3</trove4j.version>
55         <freemarker.version>2.3.29</freemarker.version>
56         <itext.version>2.1.7</itext.version>
57         <rhino.version>1.7.12</rhino.version>
58         <jna41.version>4.1.0</jna41.version>
59         <jna.version>4.5.2</jna.version>
60         <logback-classic.version>1.2.3</logback-classic.version>
61         <koloboke-compile.version>0.5.1</koloboke-compile.version>
62         <koloboke-impl-common-jdk8.version>1.0.0</koloboke-impl-common-jdk8.version>
63         <kryo.version>4.0.2</kryo.version>
64         <org.apache.aries.spifly.dynamic.bundle.version>1.2.3</org.apache.aries.spifly.dynamic.bundle.version>
65         <decompiler-procyon.version>4.3.0.Final</decompiler-procyon.version>
66         <jsoup.version>1.12.2</jsoup.version>
67         <snakeyaml.version>1.25</snakeyaml.version>
68         <jetty945.version>9.4.24.v20191120</jetty945.version>
69         <netty.version>4.1.45.Final</netty.version>
70         <jcip-annotations.version>1.0</jcip-annotations.version>
71         <pgjdbc-ng.version>0.8.3</pgjdbc-ng.version>
72     </properties>
73
74     <repositories>
75         <!--
76         <repository>
77             <id>project-specific-deps</id>
78             <name>project-specific-deps</name>
79             <url>file:///${basedir}/repo</url>
80         </repository>c.version.actual
81         --> 
82     </repositories>
83
84     <build>
85         <plugins>
86             <plugin>
87                 <groupId>org.eclipse.tycho.extras</groupId>
88                 <artifactId>tycho-p2-extras-plugin</artifactId>
89                 <version>1.0.0</version>
90             </plugin>
91             <plugin>
92                 <groupId>org.reficio</groupId>
93                 <artifactId>p2-maven-plugin</artifactId>
94                 <version>1.2.0</version>
95                 <executions>
96                     <execution>
97                         <id>default-cli</id>
98                         <!-- QUICK-START EXAMPLE -->
99                         <!--
100                         This is the default quick-start configuration.
101
102                         Expected behavior:
103                           - specified dependencies will be fetched
104                           - transitive dependencies will be fetched (no default exclusions)
105                           - jars containing source source code will NOT be fetched
106                           - jars that are NOT OSGi bundles will be "bundled" using bnd tool,
107                             if you specify instructions for these jars they will be APPLIED
108                           - jars that are OSGi bundles will be simply included
109                             if you specify instructions for these jars they will be IGNORED (see <override> option)
110                           - p2 site will be generated
111
112                         How the instructions works:
113                           - instructions are applied only to the root artifact that you specify!
114                           - instructions are not applied to the TRANSITIVE dependencies!
115                           - transitive dependencies are never overridden (see <override> option)
116                           - transitive dependencies are bundled using the default instructions:
117                               <instructions>
118                                   <Import-Package>*;resolution:=optional</Import-Package>
119                                   <Export-Package>*</Export-Package>
120                               </instructions>
121                           - other instructions, such as, Bundle-SymbolicName, Bundle-Name, Bundle-Version, etc.
122                             are calculated according to the following rules:
123                             http://felix.apache.org/site/apache-felix-maven-bundle-plugin-bnd.html
124                           - if you specify any instructions they will be applied only if
125                             the jar is not already an OSGi bundle - otherwise you have to use the override
126                             option - please see the /examples/override/pom.xml example
127
128                         The following definition of an artifact:
129                             <artifact>
130                                 <id>commons-io:commons-io:2.1</id>
131                             </artifact>
132
133                         is an equivalent of the following definition:
134                             <artifact>
135                                 <id>commons-io:commons-io:2.1</id>
136                                 <transitive>true</transitive>
137                                 <source>false</source>
138                                 <override>false</override>
139                                 <instructions>
140                                     <Import-Package>*;resolution:=optional</Import-Package>
141                                     <Export-Package>*</Export-Package>
142                                 </instructions>
143                                 <excludes/>
144                             </artifact>
145
146                         To run the example please invoke: mvn p2:site
147                         -->
148                         <configuration>
149                             <artifacts>
150                                 <artifact>
151                                     <id>org.antlr:antlr-runtime:${antlr.version}</id>
152                                     <source>true</source>
153                                     <instructions>
154                                         <Bundle-SymbolicName>org.antlr.runtime</Bundle-SymbolicName>
155                                         <Bundle-Version>${antlr.version}</Bundle-Version>
156                                         <Export-Package>*;version="${antlr.version}"</Export-Package>
157                                     </instructions>                                    
158                                 </artifact>
159                                 <artifact>
160                                     <id>org.apache.lucene:lucene-core:${lucene.version}</id>
161                                     <source>true</source>
162                                     <instructions>
163                                         <Bundle-SymbolicName>${lucene.prefix}.core</Bundle-SymbolicName>
164                                         <Bundle-Version>${lucene.version.actual}</Bundle-Version>
165                                         <Export-Package>*;version="${lucene.version}"</Export-Package>
166                                     </instructions>
167                                 </artifact>
168                                 <artifact>
169                                     <id>org.apache.lucene:lucene-queries:${lucene.version}</id>
170                                     <source>true</source>
171                                     <instructions>
172                                         <Bundle-SymbolicName>${lucene.prefix}.queries</Bundle-SymbolicName>
173                                         <Bundle-Version>${lucene.version.actual}</Bundle-Version>
174                                         <Require-Bundle>${lucene.prefix}.core;bundle-version="${lucene.version}"</Require-Bundle>
175                                         <Export-Package>*;version="${lucene.version}"</Export-Package>
176                                         <Import-Package>!org.apache.lucene.*,*;resolution:=optional</Import-Package>
177                                     </instructions>
178                                 </artifact>
179                                 <artifact>
180                                     <id>org.apache.lucene:lucene-sandbox:${lucene.version}</id>
181                                     <source>true</source>
182                                     <instructions>
183                                         <Bundle-SymbolicName>${lucene.prefix}.sandbox</Bundle-SymbolicName>
184                                         <Bundle-Version>${lucene.version.actual}</Bundle-Version>
185                                         <Require-Bundle>${lucene.prefix}.core;bundle-version="${lucene.version}"</Require-Bundle>
186                                         <Export-Package>*;version="${lucene.version}"</Export-Package>
187                                         <Import-Package>!org.apache.lucene.*,*;resolution:=optional</Import-Package>
188                                     </instructions>
189                                 </artifact>
190                                 <artifact>
191                                     <id>org.apache.lucene:lucene-analyzers-common:${lucene.version}</id>
192                                     <source>true</source>
193                                     <instructions>
194                                         <Bundle-SymbolicName>${lucene.prefix}.analyzers-common</Bundle-SymbolicName>
195                                         <Bundle-Version>${lucene.version.actual}</Bundle-Version>
196                                         <Require-Bundle>${lucene.prefix}.core;bundle-version="${lucene.version}"</Require-Bundle>
197                                         <Export-Package>*;version="${lucene.version}"</Export-Package>
198                                         <Import-Package>!org.apache.lucene.*,*;resolution:=optional</Import-Package>
199                                     </instructions>
200                                 </artifact>
201                                 <artifact>
202                                     <id>org.apache.lucene:lucene-queryparser:${lucene.version}</id>
203                                     <source>true</source>
204                                     <instructions>
205                                         <Bundle-SymbolicName>${lucene.prefix}.queryparser</Bundle-SymbolicName>
206                                         <Bundle-Version>${lucene.version.actual}</Bundle-Version>
207                                         <Require-Bundle>${lucene.prefix}.core;bundle-version="${lucene.version}",${lucene.prefix}.queries;bundle-version="${lucene.version}",${lucene.prefix}.sandbox;bundle-version="${lucene.version}"</Require-Bundle>
208                                         <Export-Package>*;version="${lucene.version}"</Export-Package>
209                                         <Import-Package>!org.apache.lucene.*,*;resolution:=optional</Import-Package>
210                                     </instructions>
211                                 </artifact>
212                                 <artifact>
213                                     <id>jaxen:jaxen:${jaxen.version}</id>
214                                     <source>true</source>
215                                 </artifact>
216                                 <artifact>
217                                     <id>org.jdom:jdom2:${jdom.version}</id>
218                                     <source>true</source>
219                                     <instructions>
220                                         <Bundle-SymbolicName>org.jdom2</Bundle-SymbolicName>
221                                         <Bundle-Version>${jdom.version.actual}</Bundle-Version>
222                                         <Export-Package>*;version="${jdom.version}"</Export-Package>
223                                     </instructions>
224                                 </artifact>
225                                 <artifact>
226                                     <id>org.jfree:jfreechart:${jfreechart.version}</id>
227                                     <source>true</source>
228                                     <instructions>
229                                         <Bundle-SymbolicName>org.jfree.jchart</Bundle-SymbolicName>
230                                     </instructions>
231                                 </artifact>
232                                 <!--
233                                 <artifact>
234                                     <id>org.ow2.asm:asm:5.0.4</id>
235                                     <source>true</source>
236                                     <override>true</override>
237                                     <instructions>
238                                         <Bundle-SymbolicName>org.objectweb.asm5</Bundle-SymbolicName>
239                                     </instructions>
240                                 </artifact>
241                                 -->
242                                 <artifact>
243                                     <id>net.sf.supercsv:super-csv:${supercsv.version}</id>
244                                     <source>true</source>
245                                     <override>true</override>
246                                     <instructions>
247                                         <Bundle-SymbolicName>org.supercsv</Bundle-SymbolicName>
248                                     </instructions>
249                                 </artifact>
250                                 <artifact>
251                                     <id>org.ini4j:ini4j:${ini4j.version}</id>
252                                     <source>true</source>
253                                 </artifact>
254                                 <artifact>
255                                     <!-- Needed by Apache POI 3.15 -->
256                                     <id>commons-codec:commons-codec:${commons-codec.version}</id>
257                                     <source>true</source>
258                                 </artifact>
259                                 <artifact>
260                                     <!-- Needed by Apache POI 3.15 -->
261                                     <id>org.apache.commons:commons-collections4:${commons-collections.version}</id>
262                                     <source>true</source>
263                                 </artifact>
264                                 <artifact>
265                                     <id>org.apache.commons:commons-compress:${commons-compress.version}</id>
266                                     <source>true</source>
267                                     <override>true</override>
268                                     <instructions>
269                                         <Bundle-SymbolicName>org.apache.commons.compress</Bundle-SymbolicName>
270                                     </instructions>
271                                 </artifact>
272                                 <artifact>
273                                     <id>commons-lang:commons-lang:${commons-lang.version}</id>
274                                     <source>true</source>
275                                 </artifact>
276                                 <artifact>
277                                     <!-- Needed by Apache POI 3.15 -->
278                                     <id>commons-logging:commons-logging:${commons-logging.version}</id>
279                                     <source>true</source>
280                                 </artifact>
281                                 <artifact>
282                                     <id>commons-io:commons-io:${commons-io.version}</id>
283                                     <source>true</source>
284                                 </artifact>
285                                 <artifact>
286                                     <id>org.apache.commons:commons-math3:${commons-math.version}</id>
287                                     <source>true</source>
288                                 </artifact>
289
290                                 <artifact>
291                                     <id>org.apache.pdfbox:pdfbox:${pdfbox.version}</id>
292                                     <source>true</source>
293                                 </artifact>
294                                 <artifact>
295                                     <id>org.apache.pdfbox:fontbox:${fontbox.version}</id>
296                                     <source>true</source>
297                                 </artifact>
298                                 <artifact>
299                                     <id>org.apache.pdfbox:xmpbox:${xmpbox.version}</id>
300                                     <source>true</source>
301                                 </artifact>
302                                 <!-- Needed by Apache POI 3.15, however these are included in third-party repository manually -->
303                                 <!--
304                                 <artifact>
305                                     <id>org.apache.xmlbeans:xmlbeans:2.6.0</id>
306                                     <source>true</source>
307                                 </artifact>
308                                 <artifact>
309                                     <id>com.github.virtuald:curvesapi:1.04</id>
310                                     <source>true</source>
311                                 </artifact>
312                                 -->
313                                 <artifact>
314                                     <id>log4j:log4j:${log4j.version}</id>
315                                     <source>true</source>
316                                     <override>true</override>
317                                     <instructions>
318                                         <Bundle-SymbolicName>org.apache.log4j</Bundle-SymbolicName>
319                                     </instructions>
320                                 </artifact>
321                                 <artifact>
322                                     <id>net.sf.ucanaccess:ucanaccess:${ucanaccess.version}</id>
323                                     <source>true</source>
324                                     <instructions>
325                                         <Bundle-SymbolicName>net.ucanaccess</Bundle-SymbolicName>
326                                     </instructions>
327                                 </artifact>
328                                 <artifact>
329                                     <id>it.unimi.dsi:fastutil:${fastutil.version}</id>
330                                     <source>true</source>
331                                 </artifact>
332                                 <artifact>
333                                     <id>org.eclipse.collections:eclipse-collections-api:${eclipse.collections.version}</id>
334                                     <override>true</override>
335                                     <source>true</source>
336                                     <instructions>
337                                         <Export-Package>org.eclipse.collections.*</Export-Package>
338                                     </instructions>
339                                 </artifact>
340                                 <artifact>
341                                     <id>org.eclipse.collections:eclipse-collections:${eclipse.collections.version}</id>
342                                     <source>true</source>
343                                     <instructions>
344                                         <Require-Bundle>org.eclipse.collections.eclipse-collections-api;bundle-version="${eclipse.collections.version}"</Require-Bundle>
345                                         <Import-Package>!org.eclipse.*,!sun.misc.*,*;resolution:=optional</Import-Package>
346                                     </instructions>
347                                 </artifact>
348                                 <artifact>
349                                     <id>net.sf.trove4j:trove4j:${trove4j.version}</id>
350                                     <source>true</source>
351                                     <instructions>
352                                         <Bundle-Name>GNU Trove 3</Bundle-Name>
353                                         <Bundle-SymbolicName>gnu.trove3</Bundle-SymbolicName>
354                                     </instructions>
355                                 </artifact>
356                                 <artifact>
357                                     <id>org.freemarker:freemarker:${freemarker.version}</id>
358                                     <source>true</source>
359                                     <override>true</override>
360                                     <instructions>
361                                         <Bundle-SymbolicName>freemarker</Bundle-SymbolicName>
362                                     </instructions>
363                                 </artifact>
364                                 <artifact>
365                                     <id>com.lowagie:itext:${itext.version}</id>
366                                     <source>true</source>
367                                     <instructions>
368                                         <Bundle-SymbolicName>com.lowagie.text</Bundle-SymbolicName>
369                                         <Bundle-Version>${itext.version.actual}</Bundle-Version>
370                                     </instructions>
371                                 </artifact>
372                                 <artifact>
373                                     <id>org.mozilla:rhino:${rhino.version}</id>
374                                     <source>true</source>
375                                 </artifact>
376                                 <artifact>
377                                     <id>javax.servlet:javax.servlet-api:${javax.version}</id>
378                                     <source>true</source>
379                                 </artifact>
380                                 <artifact>
381                                     <id>com.fasterxml.jackson.core:jackson-core:${jackson.version}</id>
382                                     <source>true</source>
383                                 </artifact>
384                                 <artifact>
385                                     <id>com.fasterxml.jackson.core:jackson-annotations:${jackson.version}</id>
386                                     <source>true</source>
387                                 </artifact>
388                                 <artifact>
389                                     <id>com.fasterxml.jackson.core:jackson-databind:${jackson.version}</id>
390                                     <source>true</source>
391                                     <excludes>
392                                         <exclude>com.fasterxml.jackson.*</exclude>
393                                     </excludes>
394                                 </artifact>
395                                 <artifact>
396                                     <id>com.fasterxml.jackson.dataformat:jackson-dataformat-csv:${jackson.version}</id>
397                                     <source>true</source>
398                                     <excludes>
399                                         <exclude>com.fasterxml.jackson.*</exclude>
400                                     </excludes>
401                                 </artifact>
402                                 <artifact>
403                                     <id>com.fasterxml.jackson.dataformat:jackson-dataformat-xml:${jackson.version}</id>
404                                     <source>true</source>
405                                     <excludes>
406                                         <exclude>com.fasterxml.jackson.*</exclude>
407                                     </excludes>
408                                 </artifact>
409                                 <artifact>
410                                     <id>com.fasterxml.jackson.datatype:jackson-datatype-jsr310:${jackson.version}</id>
411                                     <source>true</source>
412                                     <excludes>
413                                         <exclude>com.fasterxml.jackson.*</exclude>
414                                     </excludes>
415                                 </artifact>
416                                 <artifact>
417                                     <id>com.fasterxml.jackson.jaxrs:jackson-jaxrs-base:${jackson.version}</id>
418                                     <source>true</source>
419                                     <excludes>
420                                         <exclude>com.fasterxml.jackson.*</exclude>
421                                     </excludes>
422                                 </artifact>
423                                 <artifact>
424                                     <id>com.fasterxml.jackson.jaxrs:jackson-jaxrs-json-provider:${jackson.version}</id>
425                                     <source>true</source>
426                                     <excludes>
427                                         <exclude>com.fasterxml.jackson.*</exclude>
428                                     </excludes>
429                                 </artifact>
430                                 <artifact>
431                                     <id>com.fasterxml.jackson.module:jackson-module-jaxb-annotations:${jackson.version}</id>
432                                     <source>true</source>
433                                     <excludes>
434                                         <exclude>com.fasterxml.jackson.*</exclude>
435                                     </excludes>
436                                 </artifact>
437                                 <artifact>
438                                     <id>org.slf4j:slf4j-api:${slf4j.version}</id>
439                                     <source>true</source>
440                                     <override>true</override>
441                                     <instructions>
442                                         <Bundle-Name>SLF4J API Module</Bundle-Name>
443                                         <Bundle-Version>${slf4j.version.actual}</Bundle-Version>
444                                         <Bundle-SymbolicName>org.slf4j.api</Bundle-SymbolicName>
445                                         <Export-Package>*;version=${slf4j.version}</Export-Package>
446                                     </instructions>
447                                 </artifact>
448                                 <artifact>
449                                     <id>ch.qos.logback:logback-classic:${logback-classic.version}</id>
450                                     <source>true</source>
451                                     <override>true</override>
452                                 </artifact>
453                                 <artifact>
454                                     <id>com.koloboke:koloboke-compile:${koloboke-compile.version}</id>
455                                     <source>true</source>
456                                 </artifact>
457                                 <artifact>
458                                     <id>com.koloboke:koloboke-impl-common-jdk8:${koloboke-impl-common-jdk8.version}</id>
459                                     <source>true</source>
460                                 </artifact>
461                                 <artifact>
462                                     <id>com.esotericsoftware:kryo:${kryo.version}</id>
463                                     <source>true</source>
464                                 </artifact>
465                                  <artifact>
466                                      <id>org.apache.aries.spifly:org.apache.aries.spifly.dynamic.bundle:${org.apache.aries.spifly.dynamic.bundle.version}</id>
467                                      <source>true</source>
468                                  </artifact>
469                                 <artifact>
470                                     <id>jakarta.ws.rs:jakarta.ws.rs-api:${jakarta.version}</id>
471                                     <source>true</source>
472                                     <override>true</override>
473                                     <instructions>
474                                         <Bundle-Version>${jakarta.version.actual}</Bundle-Version>
475                                         <Require-Bundle>
476                                              jakarta.xml.bind-api
477                                         </Require-Bundle>
478                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
479                                         <Export-Package>
480                                             javax.ws.rs;version="${jakarta.version}",
481                                             javax.ws.rs.core;version="${jakarta.version}",
482                                             javax.ws.rs.ext;version="${jakarta.version}",
483                                             javax.ws.rs.client;version="${jakarta.version}",
484                                             javax.ws.rs.container;version="${jakarta.version}",
485                                             javax.ws.rs.sse;version="${jakarta.version}"
486                                         </Export-Package>
487                                     </instructions>
488                                 </artifact>
489                                 <artifact>
490                                     <id>org.glassfish.jersey.core:jersey-common:${jersey.version}</id>
491                                     <source>true</source>
492                                     <override>true</override>
493                                     <instructions>
494                                         <Bundle-Version>${jersey.version.actual}</Bundle-Version>
495                                         <Require-Bundle>
496                                              javax.annotation,
497                                              javax.inject,
498                                              jakarta.validation.jakarta.validation-api,
499                                              jakarta.ws.rs-api,
500                                              jakarta.xml.bind-api
501                                         </Require-Bundle>
502                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
503                                         <Export-Package>
504                                             org.glassfish.jersey.*;version="${jersey.version}"
505                                         </Export-Package>
506                                     </instructions>
507                                 </artifact>
508                                 <artifact>
509                                     <id>org.glassfish.jersey.core:jersey-server:${jersey.version}</id>
510                                     <source>true</source>
511                                     <override>true</override>
512                                     <instructions>
513                                         <Bundle-Version>${jersey.version.actual}</Bundle-Version>
514                                         <Require-Bundle>
515                                              javax.annotation,
516                                              javax.inject,
517                                              jakarta.validation.jakarta.validation-api,
518                                              jakarta.ws.rs-api,
519                                              jakarta.xml.bind-api
520                                         </Require-Bundle>
521                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
522                                     </instructions>
523                                 </artifact>
524                                 <artifact>
525                                     <id>org.glassfish.jersey.core:jersey-client:${jersey.version}</id>
526                                     <source>true</source>
527                                     <override>true</override>
528                                     <instructions>
529                                         <Bundle-Version>${jersey.version.actual}</Bundle-Version>
530                                         <Require-Bundle>
531                                              javax.annotation,
532                                              javax.inject,
533                                              jakarta.validation.jakarta.validation-api,
534                                              jakarta.ws.rs-api,
535                                              jakarta.xml.bind-api
536                                         </Require-Bundle>
537                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
538                                     </instructions>
539                                 </artifact>
540                                 
541                                 <artifact>
542                                     <id>org.glassfish.jersey.media:jersey-media-multipart:${jersey.version}</id>
543                                     <source>true</source>
544                                     <!-- For some reason p2-maven-plugin does not work with the below plugin and only generates sources for that -->
545                                     <!-- <override>true</override>
546                                     <instructions>
547                                         <Bundle-Version>${jersey.version.actual}</Bundle-Version>
548                                         <Require-Bundle>
549                                              jakarta.ws.rs-api,
550                                         </Require-Bundle>
551                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
552                                     </instructions> -->
553                                 </artifact>
554                                 <artifact>
555                                     <id>org.glassfish.jersey.ext:jersey-entity-filtering:${jersey.version}</id>
556                                     <source>true</source>
557                                     <override>true</override>
558                                     <instructions>
559                                         <Bundle-Version>${jersey.version.actual}</Bundle-Version>
560                                         <Require-Bundle>
561                                              jakarta.ws.rs-api,
562                                              org.glassfish.jersey.core.jersey-server
563                                         </Require-Bundle>
564                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
565                                     </instructions>
566                                 </artifact>
567                                 <artifact>
568                                     <id>org.glassfish.jersey.media:jersey-media-json-jackson:${jersey.version}</id>
569                                     <source>true</source>
570                                     <override>true</override>
571                                     <excludes>
572                                         <exclude>com.fasterxml.jackson.*</exclude>
573                                     </excludes>
574                                     <instructions>
575                                         <Bundle-Version>${jersey.version.actual}</Bundle-Version>
576                                         <Require-Bundle>
577                                              javax.annotation,
578                                              javax.inject,
579                                              jakarta.validation.jakarta.validation-api,
580                                              jakarta.ws.rs-api,
581                                              jakarta.xml.bind-api
582                                         </Require-Bundle>
583                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
584                                     </instructions>
585                                 </artifact>
586                                 <artifact>
587                                     <id>org.glassfish.jersey.containers:jersey-container-servlet-core:${jersey.version}</id>
588                                     <source>true</source>
589                                     <override>true</override>
590                                     <instructions>
591                                         <Bundle-Version>${jersey.version.actual}</Bundle-Version>
592                                         <Require-Bundle>
593                                              javax.annotation,
594                                              javax.inject,
595                                              jakarta.validation.jakarta.validation-api,
596                                              jakarta.ws.rs-api,
597                                              jakarta.xml.bind-api
598                                         </Require-Bundle>
599                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
600                                     </instructions>
601                                 </artifact>
602                                 <artifact>
603                                     <id>org.jboss.windup.decompiler:decompiler-procyon:${decompiler-procyon.version}</id>
604                                     <source>true</source>
605                                 </artifact>
606                                 <artifact>
607                                     <id>org.jsoup:jsoup:${jsoup.version}</id>
608                                     <source>true</source>
609                                 </artifact>
610                                 <artifact>
611                                     <id>org.yaml:snakeyaml:${snakeyaml.version}</id>
612                                     <source>true</source>
613                                 </artifact>
614                                 <artifact>
615                                     <id>org.eclipse.jetty:jetty-servlets:${jetty945.version}</id>
616                                     <source>true</source>
617                                 </artifact>
618                                 <artifact>
619                                     <id>org.zeroturnaround:zt-exec:${zeroturnaround.version}</id>
620                                     <source>true</source>
621                                 </artifact>
622                                 <!-- Since 1.21.0 grpc, a manually set up plugin is provided in third-party repository.
623                                      Note: grpc-core, grpc-context, and grpc-stub (maybe others as well) must be bundled into same plug-in, since they contain split packages.
624                                      See:
625                                        * https://github.com/grpc/grpc-java/issues/2727
626                                        * https://github.com/grpc/grpc-java/issues/3522
627                                 <artifact>
628                                     <id>io.grpc:io.grpc:${grpc.version}</id>
629                                     <source>true</source>
630                                 </artifact>
631                                 <artifact>
632                                     <id>io.grpc:grpc-netty:${grpc.version}</id>
633                                     <source>true</source>
634                                     <override>true</override>
635                                     <instructions>
636                                         <Require-Bundle>
637                                              io.netty.buffer;bundle-version="4.1.27",
638                                              io.netty.codec;bundle-version="4.1.27",
639                                              io.netty.codec-http;bundle-version="4.1.27",
640                                              io.netty.codec-http2;bundle-version="4.1.27",
641                                              io.netty.codec-socks;bundle-version="4.1.27",
642                                              io.netty.common;bundle-version="4.1.27",
643                                              io.netty.handler;bundle-version="4.1.27",
644                                              io.netty.handler-proxy;bundle-version="4.1.27",
645                                              io.netty.resolver;bundle-version="4.1.27",
646                                              io.netty.transport;bundle-version="4.1.27",
647                                              io.grpc
648                                         </Require-Bundle>
649                                         <Import-Package>!io.netty.*,*;resolution:=optional</Import-Package>
650                                         <Require-Capability>
651                                             osgi.extender;
652                                                 filter:="(osgi.extender=osgi.serviceloader.registrar)"
653                                         </Require-Capability>
654                                         <Provide-Capability>
655                                             osgi.serviceloader;
656                                                 osgi.serviceloader=io.grpc.ServerProvider,
657                                             osgi.serviceloader;
658                                                 osgi.serviceloader=io.grpc.ManagedChannelProvider
659                                         </Provide-Capability>
660                                         <Bundle-Version>${grpc.version.actual}</Bundle-Version>
661                                     </instructions>
662                                 </artifact>
663                                 <artifact>
664                                     <id>com.google.protobuf:protobuf-java:${protobuf.version}</id>
665                                     <source>true</source>
666                                     <override>true</override>
667                                     <instructions>
668                                         <Import-Package>!sun.misc.*,*;resolution:=optional</Import-Package>
669                                     </instructions>
670                                 </artifact>
671                                 -->
672                                 <!-- grpc 1.21.0 dependencies -->
673                                 <artifact>
674                                     <id>io.opencensus:opencensus-api:0.21.0</id>
675                                     <source>true</source>
676                                 </artifact>
677                                 <artifact>
678                                     <id>com.google.code.gson:gson:2.7</id>
679                                     <source>true</source>
680                                 </artifact>
681                                 <artifact>
682                                     <id>com.google.android:annotations:4.1.1.4</id>
683                                     <source>true</source>
684                                 </artifact>
685                                 <artifact>
686                                     <id>io.opencensus:opencensus-contrib-grpc-metrics:0.21.0</id>
687                                     <source>true</source>
688                                 </artifact>
689                                 <artifact>
690                                     <id>com.google.protobuf:protobuf-java:${protobuf.version}</id>
691                                     <source>true</source>
692                                 </artifact>
693                                 <artifact>
694                                     <id>com.google.api.grpc:proto-google-common-protos:1.12.0</id>
695                                     <source>true</source>
696                                 </artifact>
697                                 <artifact>
698                                     <id>com.google.errorprone:error_prone_annotations:2.3.2</id>
699                                     <source>true</source>
700                                 </artifact>
701
702                                 <!-- Netty is needed by com.impossibl.pgjdbc-ng:pgjdbc-ng:0.7.1 -->
703                                 <artifact>
704                                     <id>io.netty:netty-buffer:${netty.version}</id>
705                                     <source>true</source>
706                                     <transitive>true</transitive>
707                                 </artifact>
708                                 <artifact>
709                                     <id>io.netty:netty-codec:${netty.version}</id>
710                                     <source>true</source>
711                                     <transitive>true</transitive>
712                                 </artifact>
713                                 <artifact>
714                                     <id>io.netty:netty-codec-http:${netty.version}</id>
715                                     <source>true</source>
716                                     <transitive>true</transitive>
717                                 </artifact>
718                                 <artifact>
719                                     <id>io.netty:netty-codec-http2:${netty.version}</id>
720                                     <source>true</source>
721                                     <transitive>true</transitive>
722                                 </artifact>
723                                 <artifact>
724                                     <id>io.netty:netty-codec-socks:${netty.version}</id>
725                                     <source>true</source>
726                                     <transitive>true</transitive>
727                                 </artifact>
728                                 <artifact>
729                                     <id>io.netty:netty-common:${netty.version}</id>
730                                     <source>true</source>
731                                     <transitive>true</transitive>
732                                 </artifact>
733                                 <artifact>
734                                     <id>io.netty:netty-handler:${netty.version}</id>
735                                     <source>true</source>
736                                     <transitive>true</transitive>
737                                 </artifact>
738                                 <artifact>
739                                     <id>io.netty:netty-handler-proxy:${netty.version}</id>
740                                     <source>true</source>
741                                     <transitive>true</transitive>
742                                 </artifact>
743                                 <artifact>
744                                     <id>io.netty:netty-resolver:${netty.version}</id>
745                                     <source>true</source>
746                                     <transitive>true</transitive>
747                                 </artifact>
748                                 <artifact>
749                                     <id>io.netty:netty-transport:${netty.version}</id>
750                                     <source>true</source>
751                                     <transitive>true</transitive>
752                                 </artifact>
753                                 <artifact>
754                                     <id>com.impossibl.pgjdbc-ng:pgjdbc-ng:${pgjdbc-ng.version}</id>
755                                     <source>true</source>
756                                     <transitive>false</transitive>
757                                 </artifact>
758                                 <artifact>
759                                     <id>com.github.ben-manes.caffeine:caffeine:${caffeine.version}</id>
760                                     <source>true</source>
761                                     <override>true</override>
762                                     <instructions>
763                                         <Bundle-SymbolicName>com.github.benmanes.caffeine</Bundle-SymbolicName>
764                                     </instructions>
765                                 </artifact>
766                                 <artifact>
767                                     <id>net.jcip:jcip-annotations:${jcip-annotations.version}</id>
768                                     <source>true</source>
769                                 </artifact>
770                                 <artifact>
771                                     <id>com.influxdb:influxdb-client-java:${influxdb.client.version}</id>
772                                     <source>true</source>
773                                 </artifact>
774                             </artifacts>
775                         </configuration>
776                     </execution>
777                 </executions>
778             </plugin>
779
780             <plugin>
781                 <groupId>org.mortbay.jetty</groupId>
782                 <artifactId>jetty-maven-plugin</artifactId>
783                 <version>8.1.5.v20120716</version>
784                 <configuration>
785                     <scanIntervalSeconds>10</scanIntervalSeconds>
786                     <webAppSourceDirectory>${basedir}/target/repository/</webAppSourceDirectory>
787                     <webApp>
788                         <contextPath>/site</contextPath>
789                     </webApp>
790                 </configuration>
791             </plugin>
792         </plugins>
793     </build>
794
795 </project>